Bug 244133 - B44 ethernet driver update
B44 ethernet driver update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Garzik
Martin Jenner
:
Depends On:
Blocks: 222082
  Show dependency treegraph
 
Reported: 2007-06-13 21:42 EDT by Linda Wang
Modified: 2013-07-02 22:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:53:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2007-06-13 21:42:50 EDT
Description of problem:
Backport b44 from 2.6.22-rc4 upstream

Version-Release number of selected component (if applicable):
2.6.18

changes are:

* endianness fixes, types
* use DMA_30BIT_MASK constant
* use skb_copy_from_linear_data_offset()
* safer interrupt disabling with spin_lock_irqsave()
* chip reset may take longer than previously thought
* multicast fixes
* simple error checking during resume
Comment 1 RHEL Product and Program Management 2007-06-13 22:01:44 EDT
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 2 Don Zickus 2007-06-18 11:19:40 EDT
in 2.6.18-28.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 errata-xmlrpc 2007-11-07 14:53:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.